## CamelPOP3Stream

CamelPOP3Stream

## Functions

CamelStream * | camel_pop3_stream_new ()
void | camel_pop3_stream_set_mode ()
gint | camel_pop3_stream_line ()
gint | camel_pop3_stream_getd ()

## Types and Values

struct | CamelPOP3Stream
enum | camel_pop3_stream_mode_t

## Object Hierarchy

        GObject
        ╰── CamelStream
            ╰── CamelPOP3Stream

## Implemented Interfaces

CamelPOP3Stream implements GSeekable.

## Description

## Functions

### camel_pop3_stream_new ()

    CamelStream *
    camel_pop3_stream_new (CamelStream *source);

Returns a NULL stream. A null stream is always at eof, and always returns success for all reads and writes.

#### Returns

the stream

### camel_pop3_stream_set_mode ()

    void
    camel_pop3_stream_set_mode (CamelPOP3Stream *is,
                                camel_pop3_stream_mode_t mode);

### camel_pop3_stream_line ()

    gint
    camel_pop3_stream_line (CamelPOP3Stream *is,
                            guchar **data,
                            guint *len,
                            GCancellable *cancellable,
                            GError **error);

### camel_pop3_stream_getd ()

    gint
    camel_pop3_stream_getd (CamelPOP3Stream *is,
                            guchar **start,
                            guint *len,
                            GCancellable *cancellable,
                            GError **error);

## Types and Values

### struct CamelPOP3Stream

    struct CamelPOP3Stream;

### enum camel_pop3_stream_mode_t

#### Members

CAMEL_POP3_STREAM_LINE |  |
CAMEL_POP3_STREAM_DATA |  |
CAMEL_POP3_STREAM_EOD |  |